View Issue Details

IDProjectCategoryLast Update
0023362AI War 2Bug - GameplayAug 11, 2020 9:43 am
ReporterGreatYng Assigned Tox4000Bughunter  
Severityminor 
Status resolvedResolutionfixed 
Product Version2.091 Multiplayer APIs Move Pt 1 
Summary0023362: Ion Cannons do not work as advertised
DescriptionCaptured or otherwise they cannot instakill even a single ship let alone more of them at the same time. It can only damage the shields OR hull of one ship at a time: hit ship (in a stack) -> remove shields, hit ship again -> one ship dies, hit ship -> remove shields, hit ship -> one ship dies.

In the 'Ion Cannon 2' save I am using a captured Mark 5 Ion Cannon against a wave of Mark 1 ships. If my calculations are correct it should do 4*90% = 360% of a ships total health of damage (90% per Mark lower than Ion Cannon). Instead it can only deplete the shields of one ship in the entire stack, and then kill that one ship with the next shot.

In the 'Ion Cannon 3' save I have some Mark 3 V-wings being fired at by a Mark 5 Ion Cannon. It should do 2*90% = 180% of a V-wings total health of damage to an entire stack. Instead it can only destroy the shields of one ship, and then the hull of that same ship with the next shot.
TagsNo tags attached.

Activities

GreatYng

Jul 7, 2020 6:05 pm

reporter  

Ion Cannon 2.save (301,132 bytes)
Ion Cannon 3.save (307,518 bytes)

x4000Bughunter

Jul 7, 2020 9:04 pm

administrator   ~0057512

Oooh! I think that this is something that changed at some point after we implemented ion cannons originally. Basically... we put in overflow protection from shields to hull. It was a bonus against large attacks, where the shields could block the last of a large attack before hull starts getting hit.

I think... for insta-kill weapons at the very least, like these ones and orbital mass drivers, they should bypass that logic.

GreatYng

Jul 9, 2020 1:34 pm

reporter   ~0057532

I'm in favour changing this behaviour for these special weapons, because Ion Cannons are only really strong against starships and guardians right now and we already have Mass Drivers for that.

keith.lamothe

Aug 9, 2020 8:49 am

administrator   ~0058007

For next version:

* Ion Cannon Shots can now:
** Damage both the personal shields and hull of a target in one shot (including killing it outright).
** Kill multiple ships in the same stack in one shot.

Note: any partial overkill damage does nothing. In other words, a 20,000 damage shot will kill 2 10,000 health ships in a stack, but a 19,999 damage shot would only kill 1 ship in that same stack (and leave the others undamaged). That could probably be changed (to apply partial damage in the same way the original damage is applied, or some such), but it would require a bit of a rewrite of the overkill logic.

Issue History

Date Modified Username Field Change
Jul 7, 2020 6:05 pm GreatYng New Issue
Jul 7, 2020 6:05 pm GreatYng File Added: Ion Cannon 2.save
Jul 7, 2020 6:05 pm GreatYng File Added: Ion Cannon 3.save
Jul 7, 2020 9:04 pm x4000Bughunter Note Added: 0057512
Jul 7, 2020 10:32 pm BadgerBadger Assigned To => x4000Bughunter
Jul 7, 2020 10:32 pm BadgerBadger Status new => assigned
Jul 9, 2020 1:34 pm GreatYng Note Added: 0057532
Aug 9, 2020 8:49 am keith.lamothe Note Added: 0058007
Aug 11, 2020 9:43 am keith.lamothe Status assigned => resolved
Aug 11, 2020 9:43 am keith.lamothe Resolution open => fixed

Debug Log

Number Execution time Caller Event
PLUGIN-10SMFAuth SMFAuth.php:55 SMFAuthPlugin->auto_login()SMFAuth Initializing
PLUGIN-20SMFAuth SMFAuth.php:59 SMFAuthPlugin->auto_login()SMF Settings loaded from /home/arcengames/public_html/forums
PLUGIN-30SMFAuth SMFAuth.php:147 SMFAuthPlugin->decodeCookie()Cookie doesn't exist! Is the user logged into the forums?